libogg documentation | libogg version 1.25 - 20000615

# oggpack_look_huff

declared in "ogg/ogg.h";

This function looks at a specified number of bits inside the buffer without advancing the location pointer.

The specified number of bits are read, starting from the location pointer.

This function can be used to look at 8 or fewer bits.

To look at more bits, oggpack_look can be used instead to read 32 or fewer bits.

    long  oggpack_look_huff(oggpack_buffer *b,int bits);

### Parameters

b
  Pointer to oggpack_buffer to be read.
bits
  Number of bits to look at. For this function, must be 8 or fewer.

### Return Values

> - n represents the requested bits.

copyright © 2000 xiph.org | Ogg Vorbis team@xiph.org
libogg documentation | libogg version 1.25 - 20000615